Merge pull request #12207 from aiguofer/fix_jedi_deprecations...
Matthias Bussonnier -
r25594:fe0ab8b1 merge
Not Reviewed
Show More
Add another comment
TODOs: 0 unresolved 0 Resolved
COMMENTS: 0 General 0 Inline
@@ -988,7 +988,8 def _make_signature(completion)-> str:
988
988
989 """
989 """
990
990
991 return '(%s)'% ', '.join([f for f in (_formatparamchildren(p) for p in completion.params) if f])
991 return '(%s)'% ', '.join([f for f in (_formatparamchildren(p) for signature in completion.get_signatures()
992 for p in signature.defined_names()) if f])
992
993
993 class IPCompleter(Completer):
994 class IPCompleter(Completer):
994 """Extension of the completer class with IPython-specific features"""
995 """Extension of the completer class with IPython-specific features"""
@@ -1398,7 +1399,7 class IPCompleter(Completer):
1398 if not try_jedi:
1399 if not try_jedi:
1399 return []
1400 return []
1400 try:
1401 try:
1401 return filter(completion_filter, interpreter.completions())
1402 return filter(completion_filter, interpreter.complete())
1402 except Exception as e:
1403 except Exception as e:
1403 if self.debug:
1404 if self.debug:
1404 return [_FakeJediCompletion('Oops Jedi has crashed, please report a bug with the following:\n"""\n%s\ns"""' % (e))]
1405 return [_FakeJediCompletion('Oops Jedi has crashed, please report a bug with the following:\n"""\n%s\ns"""' % (e))]
@@ -184,7 +184,7 extras_require = dict(
184
184
185 install_requires = [
185 install_requires = [
186 'setuptools>=18.5',
186 'setuptools>=18.5',
187 'jedi>=0.10',
187 'jedi>=0.16',
188 'decorator',
188 'decorator',
189 'pickleshare',
189 'pickleshare',
190 'traitlets>=4.2',
190 'traitlets>=4.2',
Comments 0
You need to be logged in to leave comments. Login now